Bug 1425939 (CVE-2017-2633)

Summary: CVE-2017-2633 Qemu: VNC: memory corruption due to unchecked resolution limit
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, amitshah, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, slong, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20161201,reported=20161201,source=redhat,cvss2=3.8/AV:A/AC:M/Au:S/C:N/I:P/A:P,cvss3=5.4/CVSS:3.0/AV:A/AC:L/PR:L/UI:N/S:C/C:N/I:L/A:L,cwe=CWE-120,rhel-5/kvm=affected,rhel-5/xen=affected,rhel-6/qemu-kvm=affected,rhel-6/qemu-kvm-rhev=affected,rhel-7/qemu-kvm=affected,rhel-7/qemu-kvm-rhev=affected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=notaffected,openstack-8/qemu-kvm-rhev=notaffected,openstack-9/qemu-kvm-rhev=notaffected,openstack-10/qemu-kvm-rhev=notaffected,fedora-all/qemu=notaffected,fedora-all/xen=notaffected,openstack-5-rhel6/qemu-kvm-rhev=wontfix,openstack-5-rhel7/qemu-kvm-rhev=notaffected
Fixed In Version: qemu 1.7.2 Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds memory access issue was found in Quick Emulator (QEMU) in the VNC display driver. This flaw could occur while refreshing the VNC display surface area in the 'vnc_refresh_server_surface'. A user inside a guest could use this flaw to crash the QEMU process.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:08:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1377977, 1400438, 1425943, 1429798, 1430616, 1430617    
Bug Blocks: 1424988    

Description Prasad J Pandit 2017-02-22 19:57:47 UTC
Quick Emulator(Qemu) built with the VNC display driver support is vulnerable
to an out-of-bounds memory access issue. It could occur while refreshing
the vnc display surface area in 'vnc_refresh_server_surface'.

A user/process inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Older versions of Qemu are affected, latest upstream releases are not.

Upstream patch:
---------------
  -> http://git.qemu-project.org/?p=qemu.git;a=commitdiff;h=bea60dd7679364493a0d7f5b54316c767cf894ef
  -> http://git.qemu-project.org/?p=qemu.git;a=commitdiff;h=9f64916da20eea67121d544698676295bbb105a7

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/23/1

Comment 8 errata-xmlrpc 2017-05-09 11:07:20 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-6

Via RHSA-2017:1205 https://access.redhat.com/errata/RHSA-2017:1205

Comment 9 errata-xmlrpc 2017-05-09 12:46:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1206 https://access.redhat.com/errata/RHSA-2017:1206

Comment 10 errata-xmlrpc 2017-06-14 15:32:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2017:1441 https://access.redhat.com/errata/RHSA-2017:1441

Comment 11 errata-xmlrpc 2017-08-01 17:52:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1856 https://access.redhat.com/errata/RHSA-2017:1856